pragma Source_File_Name (ada_rapid, Spec_File_Name => "b~rapid.ads");
pragma Source_File_Name (ada_rapid, Body_File_Name => "b~rapid.adb");

package body ada_rapid is
   pragma Warnings (Off);

   Elab_Done : Boolean := False;

   procedure adainit is
      E004 : Boolean;pragma Import (MSIL, E004, "ada_pkg._elabs_bool");
      E032 : Boolean;pragma Import (MSIL, E032, "ada.characters_pkg._elabs_bool");
      E065 : Boolean;pragma Import (MSIL, E065, "ada.characters.handling_pkg._elabs_bool");
      E033 : Boolean;pragma Import (MSIL, E033, "ada.characters.latin_1_pkg._elabs_bool");
      E006 : Boolean;pragma Import (MSIL, E006, "ada.command_line_pkg._elabs_bool");
      E045 : Boolean;pragma Import (MSIL, E045, "ada.io_exceptions_pkg._elabs_bool");
      E020 : Boolean;pragma Import (MSIL, E020, "ada.strings_pkg._elabs_bool");
      E029 : Boolean;pragma Import (MSIL, E029, "gnat_pkg._elabs_bool");
      E092 : Boolean;pragma Import (MSIL, E092, "gnat.case_util_pkg._elabs_bool");
      E050 : Boolean;pragma Import (MSIL, E050, "interfaces_pkg._elabs_bool");
      E009 : Boolean;pragma Import (MSIL, E009, "system_pkg._elabs_bool");
      E011 : Boolean;pragma Import (MSIL, E011, "ada.exceptions_pkg._elabs_bool");
      E030 : Boolean;pragma Import (MSIL, E030, "gnat.exceptions_pkg._elabs_bool");
      E322 : Boolean;pragma Import (MSIL, E322, "system.assertions_pkg._elabs_bool");
      E028 : Boolean;pragma Import (MSIL, E028, "system.bit_ops_pkg._elabs_bool");
      E237 : Boolean;pragma Import (MSIL, E237, "system.exn_gen_pkg._elabs_bool");
      E268 : Boolean;pragma Import (MSIL, E268, "system.img_bool_pkg._elabs_bool");
      E181 : Boolean;pragma Import (MSIL, E181, "system.img_enum_pkg._elabs_bool");
      E076 : Boolean;pragma Import (MSIL, E076, "system.img_int_pkg._elabs_bool");
      E080 : Boolean;pragma Import (MSIL, E080, "system.img_lli_pkg._elabs_bool");
      E319 : Boolean;pragma Import (MSIL, E319, "system.img_real_pkg._elabs_bool");
      E015 : Boolean;pragma Import (MSIL, E015, "system.parameters_pkg._elabs_bool");
      E052 : Boolean;pragma Import (MSIL, E052, "interfaces.c_streams_pkg._elabs_bool");
      E238 : Boolean;pragma Import (MSIL, E238, "system.powten_table_pkg._elabs_bool");
      E008 : Boolean;pragma Import (MSIL, E008, "system.secondary_stack_pkg._elabs_bool");
      E003 : Boolean;pragma Import (MSIL, E003, "system.standard_library_pkg._elabs_bool");
      E019 : Boolean;pragma Import (MSIL, E019, "system.storage_elements_pkg._elabs_bool");
      E017 : Boolean;pragma Import (MSIL, E017, "system.stack_checking_pkg._elabs_bool");
      E013 : Boolean;pragma Import (MSIL, E013, "system.soft_links_pkg._elabs_bool");
      E042 : Boolean;pragma Import (MSIL, E042, "ada.tags_pkg._elabs_bool");
      E040 : Boolean;pragma Import (MSIL, E040, "ada.streams_pkg._elabs_bool");
      E235 : Boolean;pragma Import (MSIL, E235, "system.exn_llf_pkg._elabs_bool");
      E381 : Boolean;pragma Import (MSIL, E381, "system.memory_pkg._elabs_bool");
      E108 : Boolean;pragma Import (MSIL, E108, "system.string_ops_pkg._elabs_bool");
      E106 : Boolean;pragma Import (MSIL, E106, "system.string_ops_concat_3_pkg._elabs_bool");
      E110 : Boolean;pragma Import (MSIL, E110, "system.string_ops_concat_4_pkg._elabs_bool");
      E262 : Boolean;pragma Import (MSIL, E262, "system.string_ops_concat_5_pkg._elabs_bool");
      E031 : Boolean;pragma Import (MSIL, E031, "system.unsigned_types_pkg._elabs_bool");
      E026 : Boolean;pragma Import (MSIL, E026, "ada.strings.maps_pkg._elabs_bool");
      E024 : Boolean;pragma Import (MSIL, E024, "ada.strings.fixed_pkg._elabs_bool");
      E066 : Boolean;pragma Import (MSIL, E066, "ada.strings.maps.constants_pkg._elabs_bool");
      E035 : Boolean;pragma Import (MSIL, E035, "ada.strings.search_pkg._elabs_bool");
      E320 : Boolean;pragma Import (MSIL, E320, "system.fat_llf_pkg._elabs_bool");
      E074 : Boolean;pragma Import (MSIL, E074, "system.img_biu_pkg._elabs_bool");
      E078 : Boolean;pragma Import (MSIL, E078, "system.img_llb_pkg._elabs_bool");
      E324 : Boolean;pragma Import (MSIL, E324, "system.img_llu_pkg._elabs_bool");
      E082 : Boolean;pragma Import (MSIL, E082, "system.img_llw_pkg._elabs_bool");
      E326 : Boolean;pragma Import (MSIL, E326, "system.img_uns_pkg._elabs_bool");
      E084 : Boolean;pragma Import (MSIL, E084, "system.img_wiu_pkg._elabs_bool");
      E044 : Boolean;pragma Import (MSIL, E044, "system.stream_attributes_pkg._elabs_bool");
      E039 : Boolean;pragma Import (MSIL, E039, "system.finalization_root_pkg._elabs_bool");
      E047 : Boolean;pragma Import (MSIL, E047, "system.finalization_implementation_pkg._elabs_bool");
      E037 : Boolean;pragma Import (MSIL, E037, "ada.finalization_pkg._elabs_bool");
      E057 : Boolean;pragma Import (MSIL, E057, "ada.finalization.list_controller_pkg._elabs_bool");
      E022 : Boolean;pragma Import (MSIL, E022, "ada.strings.unbounded_pkg._elabs_bool");
      E055 : Boolean;pragma Import (MSIL, E055, "system.file_control_block_pkg._elabs_bool");
      E054 : Boolean;pragma Import (MSIL, E054, "system.file_io_pkg._elabs_bool");
      E049 : Boolean;pragma Import (MSIL, E049, "ada.text_io_pkg._elabs_bool");
      E098 : Boolean;pragma Import (MSIL, E098, "ada.text_io.enumeration_aux_pkg._elabs_bool");
      E317 : Boolean;pragma Import (MSIL, E317, "ada.text_io.float_aux_pkg._elabs_bool");
      E315 : Boolean;pragma Import (MSIL, E315, "ada.float_text_io_pkg._elabs_bool");
      E314 : Boolean;pragma Import (MSIL, E314, "ada.float_text_io_pkg._elabs_bool");
      E072 : Boolean;pragma Import (MSIL, E072, "ada.text_io.generic_aux_pkg._elabs_bool");
      E070 : Boolean;pragma Import (MSIL, E070, "ada.text_io.integer_aux_pkg._elabs_bool");
      E068 : Boolean;pragma Import (MSIL, E068, "ada.integer_text_io_pkg._elabs_bool");
      E067 : Boolean;pragma Import (MSIL, E067, "ada.integer_text_io_pkg._elabs_bool");
      E270 : Boolean;pragma Import (MSIL, E270, "system.val_bool_pkg._elabs_bool");
      E183 : Boolean;pragma Import (MSIL, E183, "system.val_enum_pkg._elabs_bool");
      E086 : Boolean;pragma Import (MSIL, E086, "system.val_int_pkg._elabs_bool");
      E094 : Boolean;pragma Import (MSIL, E094, "system.val_lli_pkg._elabs_bool");
      E096 : Boolean;pragma Import (MSIL, E096, "system.val_llu_pkg._elabs_bool");
      E234 : Boolean;pragma Import (MSIL, E234, "system.val_real_pkg._elabs_bool");
      E088 : Boolean;pragma Import (MSIL, E088, "system.val_uns_pkg._elabs_bool");
      E090 : Boolean;pragma Import (MSIL, E090, "system.val_util_pkg._elabs_bool");
      E100 : Boolean;pragma Import (MSIL, E100, "file_helpers_pkg._elabs_bool");
      E104 : Boolean;pragma Import (MSIL, E104, "generate_helpers_pkg._elabs_bool");
      E362 : Boolean;pragma Import (MSIL, E362, "help_menu_pkg._elabs_bool");
      E061 : Boolean;pragma Import (MSIL, E061, "limits_pkg._elabs_bool");
      E060 : Boolean;pragma Import (MSIL, E060, "gui_pkg._elabs_bool");
      E112 : Boolean;pragma Import (MSIL, E112, "lists_generic_pkg._elabs_bool");
      E102 : Boolean;pragma Import (MSIL, E102, "gui.menu_pkg._elabs_bool");
      E369 : Boolean;pragma Import (MSIL, E369, "lists_generic.generic_key_pkg._elabs_bool");
      E289 : Boolean;pragma Import (MSIL, E289, "lists_generic.key_pkg._elabs_bool");
      E367 : Boolean;pragma Import (MSIL, E367, "lists_generic_2keys_pkg._elabs_bool");
      E119 : Boolean;pragma Import (MSIL, E119, "mcc_pkg._elabs_bool");
      E313 : Boolean;pragma Import (MSIL, E313, "mcc.text_entry_types_pkg._elabs_bool");
      E371 : Boolean;pragma Import (MSIL, E371, "menu_io_pkg._elabs_bool");
      E129 : Boolean;pragma Import (MSIL, E129, "msil_types_pkg._elabs_bool");
      E127 : Boolean;pragma Import (MSIL, E127, "mssyst_pkg._elabs_bool");
      E292 : Boolean;pragma Import (MSIL, E292, "mssyst.collections_pkg._elabs_bool");
      E143 : Boolean;pragma Import (MSIL, E143, "mssyst.componentmodel_pkg._elabs_bool");
      E157 : Boolean;pragma Import (MSIL, E157, "mssyst.drawing_pkg._elabs_bool");
      E134 : Boolean;pragma Import (MSIL, E134, "mssyst.windows_pkg._elabs_bool");
      E135 : Boolean;pragma Import (MSIL, E135, "mssyst.windows.forms_pkg._elabs_bool");
      E198 : Boolean;pragma Import (MSIL, E198, "mssyst.windows.forms.layout_pkg._elabs_bool");
      E151 : Boolean;pragma Import (MSIL, E151, "peer_pkg._elabs_bool");
      E121 : Boolean;pragma Import (MSIL, E121, "mcc.gui_pkg._elabs_bool");
      E179 : Boolean;pragma Import (MSIL, E179, "mcc.gui.colors_pkg._elabs_bool");
      E122 : Boolean;pragma Import (MSIL, E122, "mcc.gui.container_pkg._elabs_bool");
      E336 : Boolean;pragma Import (MSIL, E336, "mcc.gui.container.frame_pkg._elabs_bool");
      E124 : Boolean;pragma Import (MSIL, E124, "mcc.gui.container.window_pkg._elabs_bool");
      E126 : Boolean;pragma Import (MSIL, E126, "mcc.common_dialogs_pkg._elabs_bool");
      E210 : Boolean;pragma Import (MSIL, E210, "mcc.gui.fonts_pkg._elabs_bool");
      E226 : Boolean;pragma Import (MSIL, E226, "mcc.gui.image_pkg._elabs_bool");
      E334 : Boolean;pragma Import (MSIL, E334, "mcc.gui.menu_pkg._elabs_bool");
      E185 : Boolean;pragma Import (MSIL, E185, "mcc.gui.widget_pkg._elabs_bool");
      E189 : Boolean;pragma Import (MSIL, E189, "mcc.gui.widget.button_pkg._elabs_bool");
      E358 : Boolean;pragma Import (MSIL, E358, "edit_menu_pkg._elabs_bool");
      E059 : Boolean;pragma Import (MSIL, E059, "file_menu_pkg._elabs_bool");
      E250 : Boolean;pragma Import (MSIL, E250, "mcc.gui.widget.button.check_pkg._elabs_bool");
      E221 : Boolean;pragma Import (MSIL, E221, "mcc.gui.widget.button.picture_pkg._elabs_bool");
      E291 : Boolean;pragma Import (MSIL, E291, "mcc.gui.widget.button.radio_pkg._elabs_bool");
      E287 : Boolean;pragma Import (MSIL, E287, "group_manager_pkg._elabs_bool");
      E194 : Boolean;pragma Import (MSIL, E194, "mcc.gui.widget.button.text_pkg._elabs_bool");
      E257 : Boolean;pragma Import (MSIL, E257, "mcc.gui.widget.dropdown_pkg._elabs_bool");
      E201 : Boolean;pragma Import (MSIL, E201, "mcc.gui.widget.label_pkg._elabs_bool");
      E356 : Boolean;pragma Import (MSIL, E356, "main_window_pkg._elabs_bool");
      E205 : Boolean;pragma Import (MSIL, E205, "mcc.gui.widget.listbox_pkg._elabs_bool");
      E118 : Boolean;pragma Import (MSIL, E118, "font_selection_dialog_window_pkg._elabs_bool");
      E274 : Boolean;pragma Import (MSIL, E274, "mcc.gui.widget.picture_pkg._elabs_bool");
      E280 : Boolean;pragma Import (MSIL, E280, "mcc.gui.widget.progress_pkg._elabs_bool");
      E366 : Boolean;pragma Import (MSIL, E366, "mcc.gui.widget.rectangle_pkg._elabs_bool");
      E301 : Boolean;pragma Import (MSIL, E301, "mcc.gui.widget.scale_pkg._elabs_bool");
      E230 : Boolean;pragma Import (MSIL, E230, "mcc.gui.widget.text_entry_pkg._elabs_bool");
      E360 : Boolean;pragma Import (MSIL, E360, "change_window_dialog_window_pkg._elabs_bool");
      E248 : Boolean;pragma Import (MSIL, E248, "check_button_dialog_window_pkg._elabs_bool");
      E255 : Boolean;pragma Import (MSIL, E255, "dropdown_dialog_window_pkg._elabs_bool");
      E114 : Boolean;pragma Import (MSIL, E114, "gui.widget_pkg._elabs_bool");
      E116 : Boolean;pragma Import (MSIL, E116, "font_actions_pkg._elabs_bool");
      E219 : Boolean;pragma Import (MSIL, E219, "gui.widget.button_pkg._elabs_bool");
      E246 : Boolean;pragma Import (MSIL, E246, "gui.widget.check_button_pkg._elabs_bool");
      E253 : Boolean;pragma Import (MSIL, E253, "gui.widget.dropdown_pkg._elabs_bool");
      E264 : Boolean;pragma Import (MSIL, E264, "gui.widget.listbox_pkg._elabs_bool");
      E272 : Boolean;pragma Import (MSIL, E272, "gui.widget.picture_pkg._elabs_bool");
      E278 : Boolean;pragma Import (MSIL, E278, "gui.widget.progress_pkg._elabs_bool");
      E285 : Boolean;pragma Import (MSIL, E285, "gui.widget.radio_button_pkg._elabs_bool");
      E299 : Boolean;pragma Import (MSIL, E299, "gui.widget.scale_pkg._elabs_bool");
      E307 : Boolean;pragma Import (MSIL, E307, "gui.widget.static_pkg._elabs_bool");
      E311 : Boolean;pragma Import (MSIL, E311, "gui.widget.text_pkg._elabs_bool");
      E063 : Boolean;pragma Import (MSIL, E063, "gui.window_pkg._elabs_bool");
      E217 : Boolean;pragma Import (MSIL, E217, "gui_enum_pkg._elabs_bool");
      E309 : Boolean;pragma Import (MSIL, E309, "label_dialog_window_pkg._elabs_bool");
      E266 : Boolean;pragma Import (MSIL, E266, "listbox_dialog_window_pkg._elabs_bool");
      E330 : Boolean;pragma Import (MSIL, E330, "menu_edit_pkg._elabs_bool");
      E332 : Boolean;pragma Import (MSIL, E332, "menu_generate_pkg._elabs_bool");
      E348 : Boolean;pragma Import (MSIL, E348, "menuedit_window_pkg._elabs_bool");
      E350 : Boolean;pragma Import (MSIL, E350, "menuitem_dialog_window_pkg._elabs_bool");
      E339 : Boolean;pragma Import (MSIL, E339, "menuitem_peer_pkg._elabs_bool");
      E377 : Boolean;pragma Import (MSIL, E377, "new_dialog_window_pkg._elabs_bool");
      E373 : Boolean;pragma Import (MSIL, E373, "novice_mode_pkg._elabs_bool");
      E242 : Boolean;pragma Import (MSIL, E242, "peer.keys_pkg._elabs_bool");
      E241 : Boolean;pragma Import (MSIL, E241, "mcc.gui.keys_pkg._elabs_bool");
      E276 : Boolean;pragma Import (MSIL, E276, "picture_dialog_window_pkg._elabs_bool");
      E228 : Boolean;pragma Import (MSIL, E228, "picturebutton_dialog_window_pkg._elabs_bool");
      E283 : Boolean;pragma Import (MSIL, E283, "progress_dialog_window_pkg._elabs_bool");
      E297 : Boolean;pragma Import (MSIL, E297, "radio_button_dialog_window_pkg._elabs_bool");
      E379 : Boolean;pragma Import (MSIL, E379, "rapid_helpers_pkg._elabs_bool");
      E305 : Boolean;pragma Import (MSIL, E305, "scale_dialog_window_pkg._elabs_bool");
      E240 : Boolean;pragma Import (MSIL, E240, "state_pkg._elabs_bool");
      E352 : Boolean;pragma Import (MSIL, E352, "submenu_dialog_window_pkg._elabs_bool");
      E215 : Boolean;pragma Import (MSIL, E215, "subwindow_actions_pkg._elabs_bool");
      E244 : Boolean;pragma Import (MSIL, E244, "textbutton_dialog_window_pkg._elabs_bool");
      E328 : Boolean;pragma Import (MSIL, E328, "textentry_dialog_window_pkg._elabs_bool");
      E354 : Boolean;pragma Import (MSIL, E354, "toolbar_pkg._elabs_bool");
      E364 : Boolean;pragma Import (MSIL, E364, "tools_menu_pkg._elabs_bool");
      E375 : Boolean;pragma Import (MSIL, E375, "widget_io_pkg._elabs_bool");

      Restrictions : constant String :=
        "nnvvnnnvvnnvnnvnvvvvvvvnvnvnvnnvnnnvnvnnnnnnnvvvnnnvvnvvv" &
        "nnnnnnnnnnnnnn" & ASCII.Nul;

      Interrupt_States : constant String :=
        "";

      procedure Set_Globals
        (Main_Priority            : Integer;
         Time_Slice_Value         : Integer;
         WC_Encoding              : Character;
         Locking_Policy           : Character;
         Queuing_Policy           : Character;
         Task_Dispatching_Policy  : Character;
         Restrictions             : String;
         Interrupt_States         : String;
         Num_Interrupt_States     : Integer;
         Unreserve_All_Interrupts : Integer;
         Exception_Tracebacks     : Integer;
         Zero_Cost_Exceptions     : Integer;
         Detect_Blocking          : Integer);
      pragma Import (C, Set_Globals, "__gnat_set_globals");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");
   begin
      if Elab_Done then
         return;
      else
         Elab_Done := True;
      end if;

      Set_Globals
        (Main_Priority            => -1,
         Time_Slice_Value         => -1,
         WC_Encoding              => 'b',
         Locking_Policy           => ' ',
         Queuing_Policy           => ' ',
         Task_Dispatching_Policy  => ' ',
         Restrictions             => Restrictions,
         Interrupt_States         => Interrupt_States,
         Num_Interrupt_States     => 0,
         Unreserve_All_Interrupts => 0,
         Exception_Tracebacks     => 0,
         Zero_Cost_Exceptions     => 0,
         Detect_Blocking          => 0);

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      if not E004 then
         Ada_Pkg'Elab_Spec;
         E004 := True;
      end if;
      if not E032 then
         Ada.Characters_Pkg'Elab_Spec;
         E032 := True;
      end if;
      if not E065 then
         Ada.Characters.Handling_Pkg'Elab_Spec;
      end if;
      if not E033 then
         Ada.Characters.Latin_1_Pkg'Elab_Spec;
         E033 := True;
      end if;
      if not E006 then
         Ada.Command_Line_Pkg'Elab_Spec;
      end if;
      if not E045 then
         Ada.Io_Exceptions_Pkg'Elab_Spec;
         E045 := True;
      end if;
      if not E020 then
         Ada.Strings_Pkg'Elab_Spec;
         E020 := True;
      end if;
      if not E029 then
         Gnat_Pkg'Elab_Spec;
         E029 := True;
      end if;
      if not E092 then
         Gnat.Case_Util_Pkg'Elab_Spec;
      end if;
      if not E092 then
         Gnat.Case_Util_Pkg'Elab_Body;
         E092 := True;
      end if;
      if not E050 then
         Interfaces_Pkg'Elab_Spec;
         E050 := True;
      end if;
      if not E009 then
         System_Pkg'Elab_Spec;
         E009 := True;
      end if;
      if not E011 then
         Ada.Exceptions_Pkg'Elab_Spec;
      end if;
      if not E030 then
         Gnat.Exceptions_Pkg'Elab_Spec;
         E030 := True;
      end if;
      if not E322 then
         System.Assertions_Pkg'Elab_Spec;
      end if;
      if not E322 then
         System.Assertions_Pkg'Elab_Body;
         E322 := True;
      end if;
      if not E028 then
         System.Bit_Ops_Pkg'Elab_Spec;
      end if;
      if not E237 then
         System.Exn_Gen_Pkg'Elab_Spec;
      end if;
      if not E237 then
         System.Exn_Gen_Pkg'Elab_Body;
         E237 := True;
      end if;
      if not E268 then
         System.Img_Bool_Pkg'Elab_Spec;
      end if;
      if not E181 then
         System.Img_Enum_Pkg'Elab_Spec;
      end if;
      if not E076 then
         System.Img_Int_Pkg'Elab_Spec;
      end if;
      if not E080 then
         System.Img_Lli_Pkg'Elab_Spec;
      end if;
      if not E319 then
         System.Img_Real_Pkg'Elab_Spec;
      end if;
      if not E015 then
         System.Parameters_Pkg'Elab_Spec;
      end if;
      if not E015 then
         System.Parameters_Pkg'Elab_Body;
         E015 := True;
      end if;
      if not E052 then
         Interfaces.C_Streams_Pkg'Elab_Spec;
      end if;
      if not E052 then
         Interfaces.C_Streams_Pkg'Elab_Body;
         E052 := True;
      end if;
      if not E238 then
         System.Powten_Table_Pkg'Elab_Spec;
         E238 := True;
      end if;
      if not E008 then
         System.Secondary_Stack_Pkg'Elab_Spec;
      end if;
      if not E008 then
         System.Secondary_Stack_Pkg'Elab_Body;
         E008 := True;
      end if;
      if not E080 then
         System.Img_Lli_Pkg'Elab_Body;
         E080 := True;
      end if;
      if not E076 then
         System.Img_Int_Pkg'Elab_Body;
         E076 := True;
      end if;
      if not E181 then
         System.Img_Enum_Pkg'Elab_Body;
         E181 := True;
      end if;
      if not E268 then
         System.Img_Bool_Pkg'Elab_Body;
         E268 := True;
      end if;
      if not E006 then
         Ada.Command_Line_Pkg'Elab_Body;
         E006 := True;
      end if;
      if not E003 then
         System.Standard_Library_Pkg'Elab_Spec;
      end if;
      if not E019 then
         System.Storage_Elements_Pkg'Elab_Spec;
      end if;
      if not E019 then
         System.Storage_Elements_Pkg'Elab_Body;
         E019 := True;
      end if;
      if not E017 then
         System.Stack_Checking_Pkg'Elab_Spec;
      end if;
      if not E017 then
         System.Stack_Checking_Pkg'Elab_Body;
         E017 := True;
      end if;
      if not E013 then
         System.Soft_Links_Pkg'Elab_Spec;
      end if;
      if not E013 then
         System.Soft_Links_Pkg'Elab_Body;
         E013 := True;
      end if;
      if not E011 then
         Ada.Exceptions_Pkg'Elab_Body;
         E011 := True;
      end if;
      if not E042 then
         Ada.Tags_Pkg'Elab_Spec;
      end if;
      if not E042 then
         Ada.Tags_Pkg'Elab_Body;
         E042 := True;
      end if;
      if not E040 then
         Ada.Streams_Pkg'Elab_Spec;
         E040 := True;
      end if;
      if not E235 then
         System.Exn_Llf_Pkg'Elab_Spec;
         E235 := True;
      end if;
      if not E381 then
         System.Memory_Pkg'Elab_Spec;
      end if;
      if not E381 then
         System.Memory_Pkg'Elab_Body;
         E381 := True;
      end if;
      if not E003 then
         System.Standard_Library_Pkg'Elab_Body;
         E003 := True;
      end if;
      if not E108 then
         System.String_Ops_Pkg'Elab_Spec;
      end if;
      if not E108 then
         System.String_Ops_Pkg'Elab_Body;
         E108 := True;
      end if;
      if not E106 then
         System.String_Ops_Concat_3_Pkg'Elab_Spec;
      end if;
      if not E106 then
         System.String_Ops_Concat_3_Pkg'Elab_Body;
         E106 := True;
      end if;
      if not E110 then
         System.String_Ops_Concat_4_Pkg'Elab_Spec;
      end if;
      if not E110 then
         System.String_Ops_Concat_4_Pkg'Elab_Body;
         E110 := True;
      end if;
      if not E262 then
         System.String_Ops_Concat_5_Pkg'Elab_Spec;
      end if;
      if not E262 then
         System.String_Ops_Concat_5_Pkg'Elab_Body;
         E262 := True;
      end if;
      if not E031 then
         System.Unsigned_Types_Pkg'Elab_Spec;
         E031 := True;
      end if;
      if not E028 then
         System.Bit_Ops_Pkg'Elab_Body;
         E028 := True;
      end if;
      if not E026 then
         Ada.Strings.Maps_Pkg'Elab_Spec;
      end if;
      if not E026 then
         Ada.Strings.Maps_Pkg'Elab_Body;
         E026 := True;
      end if;
      if not E024 then
         Ada.Strings.Fixed_Pkg'Elab_Spec;
      end if;
      if not E066 then
         Ada.Strings.Maps.Constants_Pkg'Elab_Spec;
         E066 := True;
      end if;
      if not E065 then
         Ada.Characters.Handling_Pkg'Elab_Body;
         E065 := True;
      end if;
      if not E035 then
         Ada.Strings.Search_Pkg'Elab_Spec;
      end if;
      if not E035 then
         Ada.Strings.Search_Pkg'Elab_Body;
         E035 := True;
      end if;
      if not E024 then
         Ada.Strings.Fixed_Pkg'Elab_Body;
         E024 := True;
      end if;
      if not E320 then
         System.Fat_Llf_Pkg'Elab_Spec;
         E320 := True;
      end if;
      if not E074 then
         System.Img_Biu_Pkg'Elab_Spec;
      end if;
      if not E074 then
         System.Img_Biu_Pkg'Elab_Body;
         E074 := True;
      end if;
      if not E078 then
         System.Img_Llb_Pkg'Elab_Spec;
      end if;
      if not E078 then
         System.Img_Llb_Pkg'Elab_Body;
         E078 := True;
      end if;
      if not E324 then
         System.Img_Llu_Pkg'Elab_Spec;
      end if;
      if not E324 then
         System.Img_Llu_Pkg'Elab_Body;
         E324 := True;
      end if;
      if not E082 then
         System.Img_Llw_Pkg'Elab_Spec;
      end if;
      if not E082 then
         System.Img_Llw_Pkg'Elab_Body;
         E082 := True;
      end if;
      if not E326 then
         System.Img_Uns_Pkg'Elab_Spec;
      end if;
      if not E326 then
         System.Img_Uns_Pkg'Elab_Body;
         E326 := True;
      end if;
      if not E319 then
         System.Img_Real_Pkg'Elab_Body;
         E319 := True;
      end if;
      if not E084 then
         System.Img_Wiu_Pkg'Elab_Spec;
      end if;
      if not E084 then
         System.Img_Wiu_Pkg'Elab_Body;
         E084 := True;
      end if;
      if not E044 then
         System.Stream_Attributes_Pkg'Elab_Spec;
      end if;
      if not E044 then
         System.Stream_Attributes_Pkg'Elab_Body;
         E044 := True;
      end if;
      if not E039 then
         System.Finalization_Root_Pkg'Elab_Spec;
      end if;
      if not E039 then
         System.Finalization_Root_Pkg'Elab_Body;
         E039 := True;
      end if;
      if not E047 then
         System.Finalization_Implementation_Pkg'Elab_Spec;
      end if;
      if not E047 then
         System.Finalization_Implementation_Pkg'Elab_Body;
         E047 := True;
      end if;
      if not E037 then
         Ada.Finalization_Pkg'Elab_Spec;
      end if;
      if not E037 then
         Ada.Finalization_Pkg'Elab_Body;
         E037 := True;
      end if;
      if not E057 then
         Ada.Finalization.List_Controller_Pkg'Elab_Spec;
      end if;
      if not E057 then
         Ada.Finalization.List_Controller_Pkg'Elab_Body;
         E057 := True;
      end if;
      if not E022 then
         Ada.Strings.Unbounded_Pkg'Elab_Spec;
      end if;
      if not E022 then
         Ada.Strings.Unbounded_Pkg'Elab_Body;
         E022 := True;
      end if;
      if not E055 then
         System.File_Control_Block_Pkg'Elab_Spec;
         E055 := True;
      end if;
      if not E054 then
         System.File_Io_Pkg'Elab_Spec;
      end if;
      if not E054 then
         System.File_Io_Pkg'Elab_Body;
         E054 := True;
      end if;
      if not E049 then
         Ada.Text_Io_Pkg'Elab_Spec;
      end if;
      if not E049 then
         Ada.Text_Io_Pkg'Elab_Body;
         E049 := True;
      end if;
      if not E098 then
         Ada.Text_Io.Enumeration_Aux_Pkg'Elab_Spec;
      end if;
      if not E317 then
         Ada.Text_Io.Float_Aux_Pkg'Elab_Spec;
      end if;
      if not E315 then
         Ada.Float_Text_Io_Pkg'Elab_Spec;
      end if;
      if not E315 then
         Ada.Float_Text_Io_Pkg'Elab_Body;
         E315 := True;
      end if;
      if not E072 then
         Ada.Text_Io.Generic_Aux_Pkg'Elab_Spec;
      end if;
      if not E072 then
         Ada.Text_Io.Generic_Aux_Pkg'Elab_Body;
         E072 := True;
      end if;
      if not E098 then
         Ada.Text_Io.Enumeration_Aux_Pkg'Elab_Body;
         E098 := True;
      end if;
      if not E070 then
         Ada.Text_Io.Integer_Aux_Pkg'Elab_Spec;
      end if;
      if not E068 then
         Ada.Integer_Text_Io_Pkg'Elab_Spec;
      end if;
      if not E068 then
         Ada.Integer_Text_Io_Pkg'Elab_Body;
         E068 := True;
      end if;
      if not E270 then
         System.Val_Bool_Pkg'Elab_Spec;
      end if;
      if not E183 then
         System.Val_Enum_Pkg'Elab_Spec;
      end if;
      if not E086 then
         System.Val_Int_Pkg'Elab_Spec;
      end if;
      if not E094 then
         System.Val_Lli_Pkg'Elab_Spec;
      end if;
      if not E070 then
         Ada.Text_Io.Integer_Aux_Pkg'Elab_Body;
         E070 := True;
      end if;
      if not E096 then
         System.Val_Llu_Pkg'Elab_Spec;
      end if;
      if not E234 then
         System.Val_Real_Pkg'Elab_Spec;
      end if;
      if not E317 then
         Ada.Text_Io.Float_Aux_Pkg'Elab_Body;
         E317 := True;
      end if;
      if not E088 then
         System.Val_Uns_Pkg'Elab_Spec;
      end if;
      if not E090 then
         System.Val_Util_Pkg'Elab_Spec;
      end if;
      if not E090 then
         System.Val_Util_Pkg'Elab_Body;
         E090 := True;
      end if;
      if not E088 then
         System.Val_Uns_Pkg'Elab_Body;
         E088 := True;
      end if;
      if not E234 then
         System.Val_Real_Pkg'Elab_Body;
         E234 := True;
      end if;
      if not E096 then
         System.Val_Llu_Pkg'Elab_Body;
         E096 := True;
      end if;
      if not E094 then
         System.Val_Lli_Pkg'Elab_Body;
         E094 := True;
      end if;
      if not E086 then
         System.Val_Int_Pkg'Elab_Body;
         E086 := True;
      end if;
      if not E183 then
         System.Val_Enum_Pkg'Elab_Body;
         E183 := True;
      end if;
      if not E270 then
         System.Val_Bool_Pkg'Elab_Body;
         E270 := True;
      end if;
      if not E100 then
         File_Helpers_Pkg'Elab_Spec;
      end if;
      if not E100 then
         File_Helpers_Pkg'Elab_Body;
         E100 := True;
      end if;
      if not E104 then
         Generate_Helpers_Pkg'Elab_Spec;
      end if;
      if not E104 then
         Generate_Helpers_Pkg'Elab_Body;
         E104 := True;
      end if;
      if not E362 then
         Help_Menu_Pkg'Elab_Spec;
      end if;
      if not E061 then
         Limits_Pkg'Elab_Spec;
         E061 := True;
      end if;
      if not E060 then
         gui_pkg'elab_spec;
         E060 := True;
      end if;
      if not E112 then
         Lists_Generic_Pkg'Elab_Spec;
      end if;
      if not E112 then
         Lists_Generic_Pkg'Elab_Body;
         E112 := True;
      end if;
      if not E102 then
         Gui.Menu_Pkg'Elab_Spec;
      end if;
      if not E102 then
         Gui.Menu_Pkg'Elab_Body;
         E102 := True;
      end if;
      if not E369 then
         Lists_Generic.Generic_Key_Pkg'Elab_Spec;
      end if;
      if not E369 then
         Lists_Generic.Generic_Key_Pkg'Elab_Body;
         E369 := True;
      end if;
      if not E289 then
         Lists_Generic.Key_Pkg'Elab_Spec;
      end if;
      if not E289 then
         Lists_Generic.Key_Pkg'Elab_Body;
         E289 := True;
      end if;
      if not E367 then
         Lists_Generic_2keys_Pkg'Elab_Spec;
         E367 := True;
      end if;
      if not E119 then
         mcc_pkg'elab_spec;
         E119 := True;
      end if;
      if not E313 then
         mcc.text_entry_types_pkg'elab_spec;
      end if;
      if not E313 then
         mcc.text_entry_types_pkg'elab_body;
         E313 := True;
      end if;
      if not E371 then
         Menu_Io_Pkg'Elab_Spec;
      end if;
      if not E129 then
         Msil_Types_Pkg'Elab_Spec;
         E129 := True;
      end if;
      if not E127 then
         Mssyst_Pkg'Elab_Spec;
         E127 := True;
      end if;
      if not E292 then
         Mssyst.Collections_Pkg'Elab_Spec;
         E292 := True;
      end if;
      if not E143 then
         Mssyst.Componentmodel_Pkg'Elab_Spec;
         E143 := True;
      end if;
      if not E157 then
         Mssyst.Drawing_Pkg'Elab_Spec;
         E157 := True;
      end if;
      if not E134 then
         Mssyst.Windows_Pkg'Elab_Spec;
         E134 := True;
      end if;
      if not E135 then
         Mssyst.Windows.Forms_Pkg'Elab_Spec;
         E135 := True;
      end if;
      if not E198 then
         Mssyst.Windows.Forms.Layout_Pkg'Elab_Spec;
         E198 := True;
      end if;
      if not E151 then
         peer_pkg'elab_spec;
      end if;
      if not E151 then
         peer_pkg'elab_body;
         E151 := True;
      end if;
      if not E121 then
         Mcc.Gui_Pkg'Elab_Spec;
      end if;
      if not E179 then
         Mcc.Gui.Colors_Pkg'Elab_Spec;
      end if;
      if not E179 then
         Mcc.Gui.Colors_Pkg'Elab_Body;
         E179 := True;
      end if;
      if not E122 then
         Mcc.Gui.Container_Pkg'Elab_Spec;
         E122 := True;
      end if;
      if not E336 then
         Mcc.Gui.Container.Frame_Pkg'Elab_Spec;
      end if;
      if not E336 then
         Mcc.Gui.Container.Frame_Pkg'Elab_Body;
         E336 := True;
      end if;
      if not E124 then
         Mcc.Gui.Container.Window_Pkg'Elab_Spec;
      end if;
      if not E121 then
         Mcc.Gui_Pkg'Elab_Body;
         E121 := True;
      end if;
      if not E126 then
         Mcc.Common_Dialogs_Pkg'Elab_Spec;
      end if;
      if not E126 then
         Mcc.Common_Dialogs_Pkg'Elab_Body;
         E126 := True;
      end if;
      if not E124 then
         Mcc.Gui.Container.Window_Pkg'Elab_Body;
         E124 := True;
      end if;
      if not E362 then
         Help_Menu_Pkg'Elab_Body;
         E362 := True;
      end if;
      if not E210 then
         Mcc.Gui.Fonts_Pkg'Elab_Spec;
      end if;
      if not E210 then
         Mcc.Gui.Fonts_Pkg'Elab_Body;
         E210 := True;
      end if;
      if not E226 then
         Mcc.Gui.Image_Pkg'Elab_Spec;
      end if;
      if not E226 then
         Mcc.Gui.Image_Pkg'Elab_Body;
         E226 := True;
      end if;
      if not E334 then
         Mcc.Gui.Menu_Pkg'Elab_Spec;
      end if;
      if not E185 then
         Mcc.Gui.Widget_Pkg'Elab_Spec;
      end if;
      if not E185 then
         Mcc.Gui.Widget_Pkg'Elab_Body;
         E185 := True;
      end if;
      if not E189 then
         Mcc.Gui.Widget.Button_Pkg'Elab_Spec;
      end if;
      if not E189 then
         Mcc.Gui.Widget.Button_Pkg'Elab_Body;
         E189 := True;
      end if;
      if not E358 then
         Edit_Menu_Pkg'Elab_Spec;
      end if;
      if not E059 then
         File_Menu_Pkg'Elab_Spec;
      end if;
      if not E250 then
         Mcc.Gui.Widget.Button.Check_Pkg'Elab_Spec;
      end if;
      if not E250 then
         Mcc.Gui.Widget.Button.Check_Pkg'Elab_Body;
         E250 := True;
      end if;
      if not E221 then
         Mcc.Gui.Widget.Button.Picture_Pkg'Elab_Spec;
      end if;
      if not E221 then
         Mcc.Gui.Widget.Button.Picture_Pkg'Elab_Body;
         E221 := True;
      end if;
      if not E291 then
         Mcc.Gui.Widget.Button.Radio_Pkg'Elab_Spec;
      end if;
      if not E291 then
         Mcc.Gui.Widget.Button.Radio_Pkg'Elab_Body;
         E291 := True;
      end if;
      if not E287 then
         Group_Manager_Pkg'Elab_Spec;
      end if;
      if not E287 then
         Group_Manager_Pkg'Elab_Body;
         E287 := True;
      end if;
      if not E194 then
         Mcc.Gui.Widget.Button.Text_Pkg'Elab_Spec;
      end if;
      if not E194 then
         Mcc.Gui.Widget.Button.Text_Pkg'Elab_Body;
         E194 := True;
      end if;
      if not E257 then
         Mcc.Gui.Widget.Dropdown_Pkg'Elab_Spec;
      end if;
      if not E257 then
         Mcc.Gui.Widget.Dropdown_Pkg'Elab_Body;
         E257 := True;
      end if;
      if not E201 then
         Mcc.Gui.Widget.Label_Pkg'Elab_Spec;
      end if;
      if not E201 then
         Mcc.Gui.Widget.Label_Pkg'Elab_Body;
         E201 := True;
      end if;
      if not E356 then
         main_window_pkg'elab_spec;
      end if;
      if not E205 then
         Mcc.Gui.Widget.Listbox_Pkg'Elab_Spec;
      end if;
      if not E205 then
         Mcc.Gui.Widget.Listbox_Pkg'Elab_Body;
         E205 := True;
      end if;
      if not E118 then
         font_selection_dialog_window_pkg'elab_spec;
      end if;
      if not E274 then
         Mcc.Gui.Widget.Picture_Pkg'Elab_Spec;
      end if;
      if not E274 then
         Mcc.Gui.Widget.Picture_Pkg'Elab_Body;
         E274 := True;
      end if;
      if not E280 then
         Mcc.Gui.Widget.Progress_Pkg'Elab_Spec;
      end if;
      if not E280 then
         Mcc.Gui.Widget.Progress_Pkg'Elab_Body;
         E280 := True;
      end if;
      if not E366 then
         Mcc.Gui.Widget.Rectangle_Pkg'Elab_Spec;
      end if;
      if not E366 then
         Mcc.Gui.Widget.Rectangle_Pkg'Elab_Body;
         E366 := True;
      end if;
      if not E301 then
         Mcc.Gui.Widget.Scale_Pkg'Elab_Spec;
      end if;
      if not E301 then
         Mcc.Gui.Widget.Scale_Pkg'Elab_Body;
         E301 := True;
      end if;
      if not E230 then
         Mcc.Gui.Widget.Text_Entry_Pkg'Elab_Spec;
      end if;
      if not E230 then
         Mcc.Gui.Widget.Text_Entry_Pkg'Elab_Body;
         E230 := True;
      end if;
      if not E360 then
         change_window_dialog_window_pkg'elab_spec;
      end if;
      if not E360 then
         change_window_dialog_window_pkg'elab_body;
         E360 := True;
      end if;
      if not E248 then
         check_button_dialog_window_pkg'elab_spec;
      end if;
      if not E255 then
         dropdown_dialog_window_pkg'elab_spec;
      end if;
      if not E114 then
         Gui.Widget_Pkg'Elab_Spec;
      end if;
      if not E116 then
         Font_Actions_Pkg'Elab_Spec;
      end if;
      if not E118 then
         font_selection_dialog_window_pkg'elab_body;
         E118 := True;
      end if;
      if not E219 then
         Gui.Widget.Button_Pkg'Elab_Spec;
      end if;
      if not E246 then
         Gui.Widget.Check_Button_Pkg'Elab_Spec;
      end if;
      if not E253 then
         Gui.Widget.Dropdown_Pkg'Elab_Spec;
      end if;
      if not E264 then
         Gui.Widget.Listbox_Pkg'Elab_Spec;
      end if;
      if not E272 then
         Gui.Widget.Picture_Pkg'Elab_Spec;
      end if;
      if not E278 then
         Gui.Widget.Progress_Pkg'Elab_Spec;
      end if;
      if not E285 then
         Gui.Widget.Radio_Button_Pkg'Elab_Spec;
      end if;
      if not E299 then
         Gui.Widget.Scale_Pkg'Elab_Spec;
      end if;
      if not E307 then
         Gui.Widget.Static_Pkg'Elab_Spec;
      end if;
      if not E311 then
         Gui.Widget.Text_Pkg'Elab_Spec;
      end if;
      if not E063 then
         Gui.Window_Pkg'Elab_Spec;
      end if;
      if not E217 then
         Gui_Enum_Pkg'Elab_Spec;
      end if;
      if not E217 then
         Gui_Enum_Pkg'Elab_Body;
         E217 := True;
      end if;
      if not E309 then
         label_dialog_window_pkg'elab_spec;
      end if;
      if not E307 then
         Gui.Widget.Static_Pkg'Elab_Body;
         E307 := True;
      end if;
      if not E266 then
         listbox_dialog_window_pkg'elab_spec;
      end if;
      if not E264 then
         Gui.Widget.Listbox_Pkg'Elab_Body;
         E264 := True;
      end if;
      if not E330 then
         Menu_Edit_Pkg'Elab_Spec;
      end if;
      if not E371 then
         Menu_Io_Pkg'Elab_Body;
         E371 := True;
      end if;
      if not E332 then
         Menu_Generate_Pkg'Elab_Spec;
      end if;
      if not E332 then
         Menu_Generate_Pkg'Elab_Body;
         E332 := True;
      end if;
      if not E348 then
         menuedit_window_pkg'elab_spec;
      end if;
      if not E348 then
         menuedit_window_pkg'elab_body;
         E348 := True;
      end if;
      if not E350 then
         menuitem_dialog_window_pkg'elab_spec;
      end if;
      if not E350 then
         menuitem_dialog_window_pkg'elab_body;
         E350 := True;
      end if;
      if not E339 then
         Menuitem_Peer_Pkg'Elab_Spec;
      end if;
      if not E339 then
         Menuitem_Peer_Pkg'Elab_Body;
         E339 := True;
      end if;
      if not E334 then
         Mcc.Gui.Menu_Pkg'Elab_Body;
         E334 := True;
      end if;
      if not E377 then
         new_dialog_window_pkg'elab_spec;
      end if;
      if not E377 then
         new_dialog_window_pkg'elab_body;
         E377 := True;
      end if;
      if not E373 then
         Novice_Mode_Pkg'Elab_Spec;
      end if;
      if not E373 then
         Novice_Mode_Pkg'Elab_Body;
         E373 := True;
      end if;
      if not E242 then
         Peer.Keys_Pkg'Elab_Spec;
         E242 := True;
      end if;
      if not E241 then
         Mcc.Gui.Keys_Pkg'Elab_Spec;
         E241 := True;
      end if;
      if not E276 then
         Picture_Dialog_Window_Pkg'Elab_Spec;
      end if;
      if not E272 then
         Gui.Widget.Picture_Pkg'Elab_Body;
         E272 := True;
      end if;
      if not E228 then
         picturebutton_dialog_window_pkg'elab_spec;
      end if;
      if not E283 then
         Progress_Dialog_Window_Pkg'Elab_Spec;
      end if;
      if not E278 then
         Gui.Widget.Progress_Pkg'Elab_Body;
         E278 := True;
      end if;
      if not E297 then
         radio_button_dialog_window_pkg'elab_spec;
      end if;
      if not E285 then
         Gui.Widget.Radio_Button_Pkg'Elab_Body;
         E285 := True;
      end if;
      if not E379 then
         Rapid_Helpers_Pkg'Elab_Spec;
      end if;
      if not E379 then
         Rapid_Helpers_Pkg'Elab_Body;
         E379 := True;
      end if;
      if not E305 then
         Scale_Dialog_Window_Pkg'Elab_Spec;
      end if;
      if not E299 then
         Gui.Widget.Scale_Pkg'Elab_Body;
         E299 := True;
      end if;
      if not E240 then
         state_pkg'elab_spec;
      end if;
      if not E240 then
         state_pkg'elab_body;
         E240 := True;
      end if;
      if not E253 then
         Gui.Widget.Dropdown_Pkg'Elab_Body;
         E253 := True;
      end if;
      if not E246 then
         Gui.Widget.Check_Button_Pkg'Elab_Body;
         E246 := True;
      end if;
      if not E059 then
         File_Menu_Pkg'Elab_Body;
         E059 := True;
      end if;
      if not E352 then
         Submenu_Dialog_Window_Pkg'Elab_Spec;
      end if;
      if not E352 then
         Submenu_Dialog_Window_Pkg'Elab_Body;
         E352 := True;
      end if;
      if not E330 then
         Menu_Edit_Pkg'Elab_Body;
         E330 := True;
      end if;
      if not E215 then
         Subwindow_Actions_Pkg'Elab_Spec;
      end if;
      if not E305 then
         Scale_Dialog_Window_Pkg'Elab_Body;
         E305 := True;
      end if;
      if not E297 then
         radio_button_dialog_window_pkg'elab_body;
         E297 := True;
      end if;
      if not E283 then
         Progress_Dialog_Window_Pkg'Elab_Body;
         E283 := True;
      end if;
      if not E228 then
         picturebutton_dialog_window_pkg'elab_body;
         E228 := True;
      end if;
      if not E276 then
         Picture_Dialog_Window_Pkg'Elab_Body;
         E276 := True;
      end if;
      if not E266 then
         listbox_dialog_window_pkg'elab_body;
         E266 := True;
      end if;
      if not E309 then
         label_dialog_window_pkg'elab_body;
         E309 := True;
      end if;
      if not E116 then
         Font_Actions_Pkg'Elab_Body;
         E116 := True;
      end if;
      if not E114 then
         Gui.Widget_Pkg'Elab_Body;
         E114 := True;
      end if;
      if not E255 then
         dropdown_dialog_window_pkg'elab_body;
         E255 := True;
      end if;
      if not E248 then
         check_button_dialog_window_pkg'elab_body;
         E248 := True;
      end if;
      if not E358 then
         Edit_Menu_Pkg'Elab_Body;
         E358 := True;
      end if;
      if not E244 then
         textbutton_dialog_window_pkg'elab_spec;
      end if;
      if not E244 then
         textbutton_dialog_window_pkg'elab_body;
         E244 := True;
      end if;
      if not E219 then
         Gui.Widget.Button_Pkg'Elab_Body;
         E219 := True;
      end if;
      if not E328 then
         textentry_dialog_window_pkg'elab_spec;
      end if;
      if not E328 then
         textentry_dialog_window_pkg'elab_body;
         E328 := True;
      end if;
      if not E311 then
         Gui.Widget.Text_Pkg'Elab_Body;
         E311 := True;
      end if;
      if not E354 then
         Toolbar_Pkg'Elab_Spec;
      end if;
      if not E354 then
         Toolbar_Pkg'Elab_Body;
         E354 := True;
      end if;
      if not E215 then
         Subwindow_Actions_Pkg'Elab_Body;
         E215 := True;
      end if;
      if not E364 then
         Tools_Menu_Pkg'Elab_Spec;
      end if;
      if not E364 then
         Tools_Menu_Pkg'Elab_Body;
         E364 := True;
      end if;
      if not E356 then
         main_window_pkg'elab_body;
         E356 := True;
      end if;
      if not E375 then
         Widget_Io_Pkg'Elab_Spec;
      end if;
      if not E375 then
         Widget_Io_Pkg'Elab_Body;
         E375 := True;
      end if;
      if not E063 then
         Gui.Window_Pkg'Elab_Body;
         E063 := True;
      end if;
   end adainit;

   procedure adafinal is
   begin
      System.Standard_Library.Adafinal;
   end adafinal;

--  BEGIN Object file/option list
   --   ./file_helpers.il
   --   ./generate_helpers.il
   --   ./limits.il
   --   ./gui.il
   --   ./lists_generic.il
   --   ./gui-menu.il
   --   ./lists_generic-generic_key.il
   --   ./lists_generic-key.il
   --   ./lists_generic_2keys.il
   --   ./mcc.il
   --   ./mcc-text_entry_types.il
   --   ./msil_types.il
   --   c:\d\rsrch\a#\mgnat\include\mssyst.il
   --   c:\d\rsrch\a#\mgnat\include\mssyst-collections.il
   --   c:\d\rsrch\a#\mgnat\include\mssyst-componentmodel.il
   --   c:\d\rsrch\a#\mgnat\include\mssyst-drawing.il
   --   c:\d\rsrch\a#\mgnat\include\mssyst-windows.il
   --   c:\d\rsrch\a#\mgnat\include\mssyst-windows-forms.il
   --   c:\d\rsrch\a#\mgnat\include\mssyst-windows-forms-layout.il
   --   ./peer.il
   --   ./mcc-gui-colors.il
   --   ./mcc-gui-container.il
   --   ./mcc-gui-container-frame.il
   --   ./mcc-gui.il
   --   ./mcc-common_dialogs.il
   --   ./mcc-gui-container-window.il
   --   ./help_menu.il
   --   ./mcc-gui-fonts.il
   --   ./mcc-gui-image.il
   --   ./mcc-gui-widget.il
   --   ./mcc-gui-widget-button.il
   --   ./mcc-gui-widget-button-check.il
   --   ./mcc-gui-widget-button-picture.il
   --   ./mcc-gui-widget-button-radio.il
   --   ./group_manager.il
   --   ./mcc-gui-widget-button-text.il
   --   ./mcc-gui-widget-dropdown.il
   --   ./mcc-gui-widget-label.il
   --   ./mcc-gui-widget-listbox.il
   --   ./mcc-gui-widget-picture.il
   --   ./mcc-gui-widget-progress.il
   --   ./mcc-gui-widget-rectangle.il
   --   ./mcc-gui-widget-scale.il
   --   ./mcc-gui-widget-text_entry.il
   --   ./change_window_dialog_window.il
   --   ./font_selection_dialog_window.il
   --   ./gui_enum.il
   --   ./gui-widget-static.il
   --   ./gui-widget-listbox.il
   --   ./menu_io.il
   --   ./menu_generate.il
   --   ./menuedit_window.il
   --   ./menuitem_dialog_window.il
   --   ./menuitem_peer.il
   --   ./mcc-gui-menu.il
   --   ./new_dialog_window.il
   --   ./novice_mode.il
   --   ./peer-keys.il
   --   ./mcc-gui-keys.il
   --   ./gui-widget-picture.il
   --   ./gui-widget-progress.il
   --   ./gui-widget-radio_button.il
   --   ./rapid_helpers.il
   --   ./gui-widget-scale.il
   --   ./state.il
   --   ./gui-widget-dropdown.il
   --   ./gui-widget-check_button.il
   --   ./file_menu.il
   --   ./submenu_dialog_window.il
   --   ./menu_edit.il
   --   ./scale_dialog_window.il
   --   ./radio_button_dialog_window.il
   --   ./progress_dialog_window.il
   --   ./picturebutton_dialog_window.il
   --   ./picture_dialog_window.il
   --   ./listbox_dialog_window.il
   --   ./label_dialog_window.il
   --   ./font_actions.il
   --   ./gui-widget.il
   --   ./dropdown_dialog_window.il
   --   ./check_button_dialog_window.il
   --   ./edit_menu.il
   --   ./textbutton_dialog_window.il
   --   ./gui-widget-button.il
   --   ./textentry_dialog_window.il
   --   ./gui-widget-text.il
   --   ./toolbar.il
   --   ./subwindow_actions.il
   --   ./rapid.il
   --   ./tools_menu.il
   --   ./main_window.il
   --   ./widget_io.il
   --   ./gui-window.il
   --   -L./
   --   -LC:\d\keepme\rapid-3.0\rapid.net\
   --   -L..\mcc_gui\
   --   -L..\msil_peer\
   --   -L..\lib\
   --   -L..\rapid\
   --   -Lc:\d\rsrch\a#\mgnat\include\
   --   -Lc:\d\rsrch\a#\mgnat\lib\mgnat\adalib\
   --   
--  END Object file/option list   

end ada_rapid;
